package com.qmth.teachcloud.common.bean.dto.excel.export;

import com.qmth.teachcloud.common.annotation.ExcelImportTempleteVaild;
import com.qmth.teachcloud.common.annotation.ExcelProperty;

import java.io.Serializable;

/**
 * @Description: 基础学生数据错误数据导出类
 */
@ExcelImportTempleteVaild(value = true)
public class BasicStudentErrorExportDto implements Serializable {
    @ExcelProperty(name = "姓名", index = 1)
    private String studentName;

    @ExcelProperty(name = "学号", index = 2)
    private String studentCode;

    @ExcelProperty(name = "手机号", index = 3)
    private String phoneNumber;

    @ExcelProperty(name = "学院", index = 4)
    private String collegeName;

    @ExcelProperty(name = "专业", index = 5)
    private String majorName;

    @ExcelProperty(name = "班级", index = 6)
    private String clazzName;

    @ExcelProperty(name = "错误原因", index = 7)
    private String errorMsg;

    public String getStudentName() {
        return studentName;
    }

    public void setStudentName(String studentName) {
        this.studentName = studentName;
    }

    public String getStudentCode() {
        return studentCode;
    }

    public void setStudentCode(String studentCode) {
        this.studentCode = studentCode;
    }

    public String getPhoneNumber() {
        return phoneNumber;
    }

    public void setPhoneNumber(String phoneNumber) {
        this.phoneNumber = phoneNumber;
    }

    public String getCollegeName() {
        return collegeName;
    }

    public void setCollegeName(String collegeName) {
        this.collegeName = collegeName;
    }

    public String getMajorName() {
        return majorName;
    }

    public void setMajorName(String majorName) {
        this.majorName = majorName;
    }

    public String getClazzName() {
        return clazzName;
    }

    public void setClazzName(String clazzName) {
        this.clazzName = clazzName;
    }

    public String getErrorMsg() {
        return errorMsg;
    }

    public void setErrorMsg(String errorMsg) {
        this.errorMsg = errorMsg;
    }
}
